import React from 'react';
import { Action } from './Action';
import { Display } from '../../../../../common/Display';
import { OldIcon } from '../../../../..';
export default {
  title: 'Molecules / Input / Select / Action'
};
export var AllStates = function AllStates() {
  return React.createElement(Display, {
    items: [{
      component: React.createElement(Action, {
        label: "Normal",
        isKeyboardNavigation: false,
        icon: React.createElement(OldIcon.Bank, {
          size: 4,
          color: "currentColor"
        }),
        focused: false
      }),
      title: 'Normal'
    }, {
      component: React.createElement(Action, {
        label: "Focused",
        isKeyboardNavigation: true,
        icon: React.createElement(OldIcon.Bank, {
          size: 4,
          color: "currentColor"
        }),
        focused: true
      }),
      title: 'Focused'
    }, {
      component: React.createElement(Action, {
        label: "Disabled",
        isKeyboardNavigation: false,
        icon: React.createElement(OldIcon.Bank, {
          size: 4,
          color: "currentColor"
        }),
        focused: false,
        disabled: true
      }),
      title: 'Disabled'
    }, {
      component: React.createElement(Action, {
        label: "No icon",
        isKeyboardNavigation: false,
        icon: null,
        focused: false,
        disabled: true
      }),
      title: 'No icon'
    }]
  });
};